<?php

namespace App\Modelos;

use Core\Database;

class EmpleadoSerie extends Database
{
    protected $table    = 'app_empleados_serie';
    protected $id       = 'empser_id';

    public function existeSerie($id_empleado, $id_serie)
    {
        return $this->consultar("SELECT * FROM app_empleados_serie e 
        JOIN app_series s ON s.ser_id = e.empser_serid 
        JOIN app_sucursales su ON s.ser_sucursal = su.su_id 
        WHERE e.empser_serid=$id_serie AND e.empser_empid=$id_empleado")->row();
    }

    public function obtenerSeries($id_empleado)
    {
        return $this->consultar("SELECT * FROM app_empleados_serie 
        JOIN app_series s ON s.ser_id = empser_serid
        JOIN app_sucursales su ON s.ser_sucursal = su.su_id
        WHERE empser_empid=$id_empleado")->all();
    }
}
